#!/usr/bin/env sh
# Create the imagenet lmdb inputs
# N.B. set the path to the imagenet train + val data dirs

EXAMPLE=examples/airline
BUILD=build/examples/airline

echo "Creating airline lmdb..."

GLOG_logtostderr=1 $BUILD/convert_data.bin \
    --data=$EXAMPLE/data/airline.tab \
    --train_cnt=5833945 \
    -dim=8 \
    $EXAMPLE/airline_train_lmdb \
    $EXAMPLE/airline_val_lmdb

echo "Done."
